Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex BareMetal
    • All guides
    • Overview
    • Integrating with other Yandex Cloud services
      • Overview
      • Stock server configurations
      • Custom server configuration
      • On-request server configuration
      • Overview
      • Public network
      • Private network
      • DHCP
      • MC-LAG
      • Restrictions in BareMetal networks
      • Overview
      • Images
      • Access management
      • Additional server settings
      • Management console
        • API authentication
          • Overview
            • Overview
            • Get
            • List
            • Create
            • Update
            • Delete
      • Monitoring metrics
    • Quotas and limits
  • Pricing policy
  • FAQ

In this article:

  • HTTP request
  • Query parameters
  • Response
  • PrivateCloudConnection
  1. Concepts
  2. Setup and management
  3. API reference
  4. REST
  5. PrivateCloudConnection
  6. List

BareMetal API, REST: PrivateCloudConnection.List

Written by
Yandex Cloud
Updated at April 21, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • PrivateCloudConnection

Retrieves the list of Private cloud connection resources in the specified folder.

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v1alpha/privateCloudConnections

Query parametersQuery parameters

Field

Description

folderId

string

ID of the folder to list private cloud connections in.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 50. Value must match the regular expression [a-z][a-z0-9.-]*.

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a ListPrivateCloudConnectionResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value is 20.

The maximum value is 100.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListPrivateCloudConnectionResponse.nextPageToken returned by a previous list request.

orderBy

string

By which column the listing should be ordered and in which direction,
format is "createdAt desc". "id asc" if omitted.
Supported fields: ["id", "createdAt", "updatedAt"].
Both snake_case and camelCase are supported for fields.

filter

string

A filter expression that filters resources listed in the response.
The expression consists of one or more conditions united by AND operator: <condition1> [AND <condition2> [<...> AND <conditionN>]].
Each condition has the form <field> <operator> <value>, where:

  1. <field> is the field name. Currently you can use filtering only on the limited number of fields.
  2. <operator> is a logical operator, one of = (equal), : (substring).
  3. <value> represents a value.
    String values should be written in double (") or single (') quotes. C-style escape sequences are supported (\" turns to ", \' to ', \\ to backslash).
    Example: "key1='value' AND key2='value'"
    Supported operators: ["AND"].
    Supported fields: ["id", "name", "status", "vrfId", "routingInstanceId"].
    Both snake_case and camelCase are supported for fields.

ResponseResponse

HTTP Code: 200 - OK

{
  "privateCloudConnections": [
    {
      "id": "string",
      "folderId": "string",
      "cloudId": "string",
      "routingInstanceId": "string",
      "vrfId": "string",
      "status": "string",
      "name": "string",
      "createdAt": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

privateCloudConnections[]

PrivateCloudConnection

List of Private cloud connection resources.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
ListPrivateCloudConnectionRequest.pageSize, use next_page_token as the value
for the ListPrivateCloudConnectionRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

PrivateCloudConnectionPrivateCloudConnection

A Private cloud connection resource.

Field

Description

id

string

ID of the private cloud connection.

folderId

string

ID of the folder that the private cloud connection belongs to.

cloudId

string

ID of the cloud that the private cloud connection belongs to.

routingInstanceId

string

ID of Cloud Router Routing Instance.

vrfId

string

ID of VRF that is connected to routing Instance.

status

enum (Status)

Status of the private cloud connection.

  • CREATING: Private cloud connection is waiting for network resources to be allocated.
  • READY: Private cloud connection is ready to use.
  • ERROR: Private cloud connection encountered a problem and cannot operate.
  • DELETING: Private cloud connection is being deleted.
  • UPDATING: Private cloud connection is being updated.

name

string

Name of the private cloud connection.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.